Skip to main content
`Ctrl`+`K`

# PetscDrawViewPorts

Object representing subwindows in a `PetscDraw` object

## Synopsis

    typedef struct {
      PetscInt   nports;
      PetscReal *xl;
      PetscReal *xr;
      PetscReal *yl;
      PetscReal *yr;
      PetscDraw  draw;
      PetscReal  port_xl, port_yl, port_xr, port_yr; /* original port of parent PetscDraw */
    } PetscDrawViewPorts;

## See Also

`PetscDraw`, `PetscDrawViewPortsCreate()`, `PetscDrawViewPortsSet()`

## Level

intermediate

## Location

include/petscdraw.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages